/*
 * cmtitem.h: declaration of a class that holds commentary data for display.
 *
 * See the README file for copyright information and how to reach the author.
 *
 * $Id$
 */
#ifndef _CMTITEM_H
#define _CMTITEM_H
#include <vdr/osdbase.h>
class cCommentReader;

class cMenuCommentItem : public cOsdItem {
friend class cCommentReader;	
public:
  cMenuCommentItem() { cMenuCommentItem(0); };
  cMenuCommentItem(char*);
 ~cMenuCommentItem();

  char * Comment() { return comment; }
  void   Compile();

protected: 
  void   SetComment(char *p) { comment = p; }

private:
  char * comment;
  };

#endif
